<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

namespace FeedReaderCentral;

/**
 * Session and other keys used for array indexes
 */
readonly class Key
{
    /** @var string The $_SESSION key for the current user's e-mail address */
    public const UserEmail = 'FRC_USER_EMAIL';

    /** @var string The $_SESSION key for the current user's ID */
    public const UserId = 'FRC_USER_ID';

    /** @var string The $_REQUEST key for the array of user messages to display */
    public const UserMsg = 'FRC_USER_MSG';

    /** Prevent instances of this class */
    private function __construct() {}
}
