<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

include '../../start.php';

FeedReaderCentral\Security::verifyUser(redirectIfAnonymous: false);

page_head('Documentation'); ?>
<h1>Documentation Home</h1>
<article>
    <h2>About the Application</h2>
    <p>This application is designed to be a lightweight, near-zero dependency application that individuals can run
        themselves. The idea that let to its creation was a desire to have a set of
        <abbr title="Really Simple Syndication">RSS</abbr> feeds which could be read from multiple devices on the same
        home network; for example, if an item was read from a laptop, it would not show up as new if the feed were read
        from a phone. The author had planned to write something similar when Google Reader shut down, and the
        combination of those two ideas led to the application you are looking at now.
    <h2>Installation</h2>
    <p><a href=https://git.bitbadger.solutions/bit-badger/feed-reader-central/src/branch/main/INSTALLING.md
          target=_blank rel=noopener>Steps to install this application</a> are found in the Feed Reader Central source
        code repository. It also describes some required configuration (mostly surrounding security modes; see the first
        feature below for all the details on that) and some optional ways to change the application's behavior.
    <h2>Usage</h2>
    <p><?=hx_get('./security-modes', 'Security Modes')?> &ndash; Feed Reader Central can be as secure as you require it
        to be. Learn about the modes available, their suitability for private networks or the open Internet, and how to
        manage users in a multi-user instance.
    <p><?=hx_get('./feeds', 'Feeds')?> &ndash; Without feeds, this application is just a bunch of near-empty pages;
        this page describes how to add and maintain feeds.
    <p><?=hx_get('./items', 'Items')?> &ndash; Read the items from feeds, bookmark them, search for text within them,
        and more.
    <p><?=hx_get('./the-cli', 'Command Line Interface')?> (CLI) &ndash; Feed Reader Central provides several functions
        that can be performed via its command line interface.
</article><?php
page_foot();
